label adventure1: # meet eevee

    show eevee neutral at left
    show kyoko wut at right
    
    a "\"Yes! It will be fun!\""
    m "\"Well, I don't know your name yet...\""
    e "\"I'm Eevee! Now, let's go traveling!\""
    k "\"You're so impatient. Slow down!\""
    
    show eevee shock at left
    
    e "\"This is great!\""
    k "\"Don't get too excited now that we 'formed a party' with another person.\""
    
    hide eevee
    hide kyoko
    with dissolve
    
    "The three of us 'form a party' and start to travel 'into the night.'' We are in a vast field of grass."
    "There's only one problem -- not knowing which way is north, south, east, or west while walking
    in the middle of nowhere."
    "It seems they don't care, because they don't have a true destination."
    "If I travel with them, will I regain my memories?"

    scene bg nightsky2
    with fade
    
    "The farther we walk, the more tiring it gets,"
    "and I mean, looking at the bland scenery."
    "There's nothing but this grassy hill and the starry night sky."
    "At least there's a calm breeze to cool myself down from walking for so long."
    "One other thing that irritates me besides the scenery is the
    extended amount of silence among the three of us."
    "None of us exchanges a word... only some gasps and sighs..."
    "...until this moment."

label compass1:

    show eevee shock with dissolve
        
    e "\"Hey, hey, I'm tired. We don't even know which way is north, south, east, or west!\""
    "\(I'm thinking the exact same thing.
    Have they ever thought of bringing a compass before!?\)"
    
    show kyoko wut at right
    show eevee neutral at left
    with dissolve
    
    k "\"We should've brought a compass.\""
    m "\"You're idiots. You both are real idiots.\""
    
    show eevee wut at left
    
    e "\"Kyoko, you're so smart. Let's get a compass when we find a store or something.\""
    k "\"Can't live without one.\""
    "\(Why don't these two stupid girls have any common sense? Oh, yeah, because they're stupid.\)"
    "Although Eevee says she's tired so we should take a break,
    she suddenly gets excited about buying a compass."
    
    show eevee shock at left
    
    e "\"Hey! Have you two seen a compass up close before!? I haven't!\""
    "\(Silence...\)"
    e "\"I'm so excited to see a compass! So, who will buy it?\""
    e "\"We don't have much money since we traveled so much.\""

    menu:
        "Sell your body." if place == "pond":
            $ place = "pond"
            jump body
        "I would if I could." if place == "festival":
            $ place = "festival"
            jump buy
        "Forget the compass.":
            jump forget
 
label body:

    m "\"Sell your body in exchange for a compass.\""
          
    show eevee mad at left
            
    e "\"Why would I do something dirty like that!?\""
    m "\"That's because you /are/ dirty.\""
    e "\"You!! Shut up!!\""
    "\(I guess that means... she's not denying that she's dirty...\)"
    
    jump direction1
    
label forget:
    
    m "\"You two probably don't have or need a compass!\""
    m "\"The both of you are directionless anyway! Forget about it!\""
    "\(That seemed a bit rude...\)"
    jump direction1
    
label buy:

    m "\"I would if I could, but I don't have any money... at all.\""
    e "\"It's alright! Then, I'll buy it with my saved up money!\""
    m "\"How much do you have?\""
            
    jump buy_done
    
label buy_done:

    show eevee neutral at left
    show kyoko wut at right
    
    e "\"I actually don't have much money to buy anything! I'm completely broke!\""
    "\(Why does she sound happy about that?\)"
    k "\"I'll buy it then. Gosh!\""
    e "\"Yay! You're the best, Kyoko!\""
    k "\"Yeah, yeah, whatever! It's just a compass!\""
    "...and so, we begin our journey again after resting for a few minutes."
    
    jump direction1
    
label city1: #meet eevee

    m "\"Let's go wander around with the wind until we find a town or place to stay.\""
    e "\"Yay! Be the wind!\""
    k "\"Eevee, you're acting ridiculous.\""
    "\(She's been acting ridiculous the whole time since I've met her!\)"
    
    jump wandering1
    
label wandering1:
    
    hide eevee
    hide kyoko
    with dissolve
    
    "We continue to walk, and I sense something nearby. The breeze gets colder and at the same time,"
    "there is heat and bright lights."
    "I have to take a closer look. It might be a city and a river."
    "If I go to the city, I can't pay for food or a place to stay."
    "I'm pretty thirsty, so I might find the river and drink some water."
    "What should I do?"
    
    
label end1:
    menu:
        "Check out the lights." if place == "festival": # eevee happy end
            jump lights
        "Stay in place.": # good/common end
            jump stay
        "Find a river." if place == "pond": # eevee happy end
            jump water
        "Run away." if place == "sakura": # bad end 2
            jump run
        "Keep wandering around." if place == "sakura2": # secret end
            jump wander           
           
 
label run:
   "These two are weird. I feel like running away from them."
   "...and so, I do."
   "From afar, they start yelling."
   e "\"Hey! Where are you going!?\""
   k "\"Watch out!\""
   m "\"Huh?\""
   "THUD"
   "I don't know what I bumped into..."
    
   stop music fadeout 2.0
    
   "...then, I black out."
    
   jump dead2
   
label lights: # eevee happy end
    "I should tell them about the lights."
    m "\"There are lights ahead. Do you two want to check it out?"
    
    show eevee shock at left
    show kyoko wut at right
    with dissolve
    
    e "\"Lights!? Where!? I wanna go!!\""
    k "\"We're broke to do anything in a city anyway. I'm not going.\""
    e "\"Whatever! Kyoko is a party pooper!\""
    k "\"Say what you like.\""
    "I watch Kyoko walk far away from us. Where will she be going if we're heading to a city?"
    "Just like that, she left us... forever."
    
    
    hide eevee
    hide kyoko with dissolve
    show eevee neutral
    with dissolve
    
    e "\"Let's go to the city! I bet there are some cool souvenirs or something!\""
    "\(Is that all she wants...?\)"
    "Eevee runs towards the city lights, and I try to catch up to her speed."
    
    scene bg festival
    with dissolve
    
    "By the time I reach food booths nearby, I completely lose her..."
    "...but looking around this area is like solving a puzzle I want to complete."
    "Then, it strikes me."
    "\(This is strange\)"
    "The farther I walk into the town, bundles of past memories come together."
    "From when I was a child to the moment before I lost my memories,"
    "I've been living in the city my entire life. I've always longed to see nature,
    but I was afraid of being punished."
    "It wasn't any kind of punishment. I was royalty."
    "Now, I'm rejected by society and accepted by nature..."
    "...but I can't stand it. These memories stress me out. I wish I never knew about the past!"
    e "\"Hey! Stop dazing off, silly!\""
    
    show eevee shock
    with dissolve
    
    m "\"Huh...?\""
    k "\"I have to show you something! Quick!\""
    m "\"Ah, hey, wait!\""
    
    hide eevee
    with dissolve
    
    "She grabs my arm, and I run along with her to the hill again."
    "\(Why are we going to the hill when we just came from there?\)"
    "...but it isn't the same. We stop at the hill she wants me to see."
    
    stop music fadeout 2.0
    
    "The scenery I thought as boring turns upside down."

    scene eevee end
    with dissolve
    play music "Peace.mp3"
    
    k "\"Look! Flying lanterns! Isn't that cool!?\""
    m "\"Yeah, it is.\""
    "I've never seen anything like it before. Since I've been isolated in a palace for so long,"
    "I miss out on something amazing such as this."
    "I'm content gazing at Eevee's happy reaction."
    "The brightness from the candle inside causes her face to give out a glow"
    "\(Yeah, I sure missed out... on something like this...\)"
    "\(I think she can ease my pain of the past.\)"
    
    scene eevee end shock
    
    k "\"What are you doing?\""
    m "\"Huh--!? what!?\""
    
    scene eevee end smile
    
    k "\"You've been staring at me for a while. Doesn't the light on my face creep you out!?\""
    m "\"Uh, not really, I mean that's not what I'm--\""
    
    scene eevee end shock
    
    k "\"BOO!!\""
    m "\"Whoa!\""
    "THUD!"
    m "\"You scared me so much that I fell on the ground.\""
    k "\"Haha! I got you scared! So cute!\""
    m "\"Whatever!\""
    
    scene eevee end smile
    
    "The more i look at her, my worries fade away. I've never met such a happy person before."
    m "\"Hey, Eevee...\""
    e "\"Yeah?\""
    m "\"I'm... glad I met someone like you...\""
    e "\"Same here! Isn't it fun traveling together?\""
    "I unintentionally give her a gentle smile. It must be because of her honesty and cheerfulness in her words."
    
    scene eevee end
    
    e "\"Let's continue to travel around together! Even float like these lanterns!\""
    m "\".............\""
    "\(Is that humanly possible for us...?\)"
    "Eevee wraps her fingers around the floating paper lantern to feel its warmth, and I do the same."
    "Dazing off into each other's eyes, I think to myself"
    "that I'm sure I'll continue to make fun memories with her, now and in the coming future."
    
    "\(Eevee Happy End\)"
    
    stop music fadeout 2.0

    "You obtained Eevee Happy End! See you again!"
    
    $ renpy.pause()
    
    jump credits
    
    
label wander: # happy/secret end
    
    "Those lights are a town for sure, but it's no use going there."
    
    show eevee wut at left
    show kyoko shock at right
    with dissolve
    
    k "\"Hey, I see lights. I think it's a town, so we should stop by and rest.\""
    e "\"What? I don't have money to stay at a hotel though!\""
    k "\"Too bad. You should've save up more.\""
    
    hide kyoko
    hide eevee
    with dissolve
    
    "Watching Kyoko fade away in the scenery is so depressing. I want to go after her."
    "The three of us should stay together after we've been traveling all this time!"
    
    show eevee shock
    with dissolve
    
    e "\"She really left!? Now, she can never pay for me! That sucks!\""
    "\(That was all that mattered!?\)"
    m "\"We should stay together! I'm gonna find her.\""
    
    show eevee wut
    
    e "\"Why not just leave her be...?\""
    "I ignore Eevee's response and head to the city."
    
    hide eevee
    scene bg festival
    with dissolve
    
    "All kinds of food booths are here. The farther I walk into town, the more I think how familiar all of this is."
    "If I stay here longer, would my memories come back?"
    "SIGH"
    m "\"Well, forget it. I can't find her anymore.\""
    "\(What if I don't want my memories back? Is there a good reason behind my memory loss?\)"
    e "\"Now what? Will we go back to the hill?\""
    e "\"I kind of... sensed something earlier...\""
    m "\"Like what?\""
    
    hide eevee
    with dissolve
    
    "Eevee walks farther while I stay behind and watch her fade in the distance."
    "What if she never comes back? I'll be alone like when I first woke up without any memories."
    "Thankfully, I have the patience to wait a few minutes. Eevee comes back with a smile upon 
    her face."
    
    show eevee shock
    with dissolve
    
    "Running back towards me, she yells,"
    e "\"Guess what!? I found a pond or a river of some sort!\""
    "\(My senses are correct as well.\)"
    m "\"That's great! Lead the way!\""
    "I feel strange how there is an abrupt change of scenery in my vision."
    
    stop music fadeout 2.0
    
    "I enter into an incredibly attractive new scene."
    
    scene bg sakura
    hide eevee
    with dissolve
    play music "Peace.mp3"
    
    "Cherry blossom petals swift past me along the cold wind's subtle pace."
    "The clean scent and the sound of the river water splashing around is soothing."
    "I observe Eevee's enigmatic form from the back as she gazes down at her reflection on the water."
    "Sneakily stepping next to her, she tells me,"
    
    show eevee neutral
    with dissolve
    
    e "\"I really love traveling. After meeting you, I felt like it became more exciting.\""
    e "\"So, I was wondering if you could maybe...\""
    "She starts hesitating and gets fidgety."
    m "\"What is it?\""
    
    show eevee shock
    
    e "\"Oh, look! Fish in the water! Let's catch them!\""
    m "\"Come on...\""
    
    hide eevee
    with dissolve
    
    "While watching her catch fish, something strikes me."
    "\(What is this...!?\)"
    "There is a slideshow of my past inside my head, from when I was a child to before I lost my memory."
    "Just by looking at Eevee catching fish... I never would've thought I'd regain my memory this way."
    "When I was younger, I used to run away to catch fish at a river with a friend. I've been secluded in 
    a palace my entire life... because... I'm royalty."
    "These images in my mind are like watching a fictional movie. I've been punished by my royal family."
    "They hate me so much. I wish these memories would disappear."
    "I was born in that society, and at the same time, I was abandoned. Nature found me."
    "Without any memories of myself, I was reborn in the place I crave."
    "My only family is nature."
    
    show eevee neutral
    with dissolve
    
    e "\"Are you alright? You look like you're concentrating very hard on something."
    m "\"Oh, it's just... I didn't want to get my memories back... I'd be happy to live a new life.\""
    e "\"You can! Just keep on living and replace those older painful memories with new ones!\""
    "I could see her sincerity in her eyes. Hearing her words makes me feel better."
    "Suddenly, I hear a voice from afar."
    a "\"Hey!!\""
    "\(What's this? Lights? Isn't the city far from us now though?\)"
    
    show eevee shock
    
    e "\"It's Kyoko!\""
    "I watch Eevee run to her, and I follow her along the moist grass."
    
    hide eevee
    with dissolve
    
    k "\"Eevee, look what I found!\""
    e "\"This is cool!\""
    
    scene secret end
    with dissolve
    
    e "\"Floating lanterns!\""
    k "\"I found a lot of them in the sky! We should go together!\""
    e "\"That's exciting!\""
    "I feel content seeing their happy faces. I'm not sure if I've felt this way in the past,"
    "but I think this is something I want to remember."
    "Saying nature is my only family is completely wrong. I know where I belong."
    "Unlike the insecure and isolated feelings I've had most of my life, this is the happiness I need."
    "This is my true family. I belong here."
    "As long as the three of us are together, we can travel to the ends of the earth."
    
    "\(Happy End\)"
    
    stop music fadeout 2.0
    
    "You obtained Happy End! See you again!"
    
    $ renpy.pause()
    
    jump credits 
    
