﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg nightsky = "nightsky.png"
image bg nightsky2 = "nightsky2.png"
image bg dead = "dead.png"
image bg sakura = "sakura.png"
image bg festival = "festival.png"
image bg credits = "credits.png"
image eevee neutral = "eevee_neutral.png"
image eevee shock = "eevee_shock.png"
image eevee mad ="eevee_mad.png"
image eevee wut = "eevee_wut.png"
image eevee end = "eevee_end.png"
image eevee end smile = "eevee_end_smile.png"
image eevee end shock = "eevee_end_shock.png"
image kyoko neutral = "kyoko_neutral.png"
image kyoko mad = "kyoko_mad.png"
image kyoko shock = "kyoko_shock.png"
image kyoko wut = "kyoko_wut.png"
image kyoko end = "kyoko_end.png"
image kyoko end shock = "kyoko_end_shock.png"
image kyoko end smile = "kyoko_end_smile.png"
image secret end = "secret_end.png"

# Declare characters used by this game.
define e = Character('Eevee', color="#ff9999")
define k = Character('Kyoko', color="#ff9999")
define m = Character('Me', color="#ff9999")
define a = Character('???', color="#ff9999")
define z = Character('Credits', color="#ff9999")
define s = Character('Story and Programming', color="#ff9999")
define c = Character('Character Art', color="#ff9999")
define b = Character('Background Art', color="#ff9999")
define h = Character('Music', color="#ff9999")

# The game starts here.

label start:
    stop music fadeout 2.0
    scene bg nightsky
    with fade
    play music "Smalltalk.mp3"
    
    "Where am I? Why is it so empty out here?"
    "I feel like a part of my memory is lost. I don't even remember my name."
    a "\"Hey, you! What are you doing!?\""
    "I look around, wondering where the voice is coming from."
    "It's a girl's voice."
    a "\"Yeah, you!\""
    "Apparently, it's just me she's talking to."
    
    show kyoko neutral
    with dissolve
    
    "Suddenly, the girl appears in a blue school uniform."
    m "\"Ah, sorry... you are...?\""
    
    show kyoko mad
    
    a "\"You forgot my name!? So mean!\""
    "Oh, I made her angry. How am I going calm her down?"
    k "\"My name is Kyoko! You better remember it!\""
    m "\"Hello there, Kyoko.\""
    "Another anonymous girl barges into the conversation."
    
    show kyoko neutral at right
    show eevee neutral at left
    with dissolve
    
    a "\"Hi! What's up!?\""
    "The girl in a red and white uniform stares at me in confusion."
    a "\"Who's this stranger, Kyoko?\""
    k "\"Somone who's ready to go on an adventure with us. Into the night we go!\""
    
    show eevee shock at left
    
    a "\"Yay!!\""
    "\(These girls are strange!\)"
    a "\"Hey, you! You're going with us, right!?\""
    
    menu:
        "Into the night?": # eevee route
            $ place = "festival"
            jump adventure1
        "Are you stupid?": # kyoko route
            $ place = "pond"
            jump adventure2
        "Shut up, I'm tired.": # bad end
            m "\"Shut up, I'm tired. Now, you both go frolick among the bed of flowers away from me please.\""
            
            show eevee wut at left 
            show kyoko wut at right 
            
            a "\"Whatever. Just go let your brain rot then.\""
            m "\"I'm sleeping now.\""
            
            hide kyoko
            hide eevee
            with dissolve
            
            "\(They sure were annoying. My brain wouldn't rot. She's an idiot.\)"
            
            stop music fadeout 2.0
            
            "\(Well, I think I should take a rest. Then, I'll probably regain a bit of my memory.\)"
            
label dead1:
    
    scene bg dead with fade
    play music "Darkness.mp3"
    
    "I wake up, and everything looks strange. That's not the only thing."
    "Just like what that girl said, I let my brain rot."
    "The moment I closed my eyes, my body is left behind while my soul resides in another world."
    "How did it end up this way?"
    "I don't understand what caused my death."
    "Now, I'll never get to know who I really am."
    "\(Bad End\)"
    
    stop music fadeout 2.0

    "You haven't finished any routes! Why not try again?"
    menu:
        "Play again.":
            jump start
        "Main menu.":
            return

        
    
label dead2:
    
    scene bg dead with fade
    play music "Darkness.mp3"
    
    "I wake up, and everything looks strange. That's not the only thing."
    "I chose to run away from the only people I knew after I woke up without memories."
    "My body is left behind while my soul resides in another world."
    "Why did it have to end up this way?"
    "I chose to die so early."
    "Now, I'll never get to know who I really am."
    "\(Bad End\)"
        
    stop music fadeout 2.0

    "You haven't finished any routes! Why not try again?"
    menu:
        "Play again.":
            jump start
        "Main menu.":
            return
    
    
        
label credits:
    
    scene bg credits
    with fade
    play music "Peace.mp3"
    
    z ""
    
    s "Eevee Nicollie"
    
    c "Eevee Nicollie - Customized in ComiPo!"
    
    scene bg nightsky2
    with fade
    
    b "Eevee Nicollie - Customized in ComiPo!"
    b "Guttari Nyanko"
    
    h "Lana42"
    h "Xcalnarok"
    h "800 M.P.H."
    
    scene bg nightsky
    with fade
    
    "Created with Ren'Py"
    stop music fadeout 2.0
    "Thanks for playing!"
    
    $ renpy.pause()
    
    return
